groovy.lang

## Class ClosureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.ClosureException

All Implemented Interfaces:
  java.io.Serializable

    public class ClosureException
    extends java.lang.RuntimeException

An exception thrown by a closure invocation

Author:
  James Strachan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClosureException(Closure closure, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Closure` `getClosure()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClosureException

    public ClosureException(Closure closure,
                            java.lang.Throwable cause)

### Method Detail

#### getClosure

    public Closure getClosure()